# chassis-agent

chassis 微服务基座依赖的服务

## 已整合

- Metrics
  - Statsd
  - Statsd-exporter
- Logging
  - Elasticsearch
  - Logstash
  - Kibana
  - Fluentd
- Gateway
  - APISIX
- MiddleWares
  - RabbitMQ
  - Mysql
  - ……

## 启动 Metrics 相关服务

根据实际的nameko微服务去配置 statsd_mapping.yml

grafana 的配置在：./service_configs/admin_service/grafana/xxxx.json （根据具体nameko服务创建json文件）

启动服务的命令：

`docker-compose -f docker-compose-metrics.yml up -d --build`


## 启动 Logging 相关服务

启动服务的命令：

`docker-compose -f docker-compose-logging.yml up -d --build`


## 启动 APISIX


启动服务的命令：

`docker-compose -f docker-compose-apisix.yml up -d --build`


## 启动 RabbitMQ


启动服务的命令：

`docker-compose -f docker-compose-rabbitmq.yml up -d --build`


## 启动 Mysql


启动服务的命令：

`docker-compose -f docker-compose-mysql.yml up -d --build`



## TODO

- Metrics
  - Prometheus 
    - rabbitmq_exporter
  - Grafana
- Error Reporting
  - Sentry
- 事务服务
  - DTM